Compiling Audio Science Drivers for older ASI4215, ASI4300 series that are not supported in the newest versions

From Rivendell Wiki

Jump to: navigation, search

If you have an older Audio Science card (ASI4215 or ASI4300 series) the newest versions(4.??.?) of the HPI driver do not support these cards. You will need to compile the older versions (3.08.06) that support them. For more info on Linux drivers for Audio Science cards see their page for Linux drivers.

Download the source code for the latest driver that works with these cards (3.08.06 at this time). Version 3.08.06 can be found here.

Upack the driver source code and the open a terminal in the folder you unpacked it in. In our case the folder is called: hpklinux-3.08.06

Apply the patches to fix problems with newer kernels. The patches can be found here at github.

wget --no-check-certificate https://github.com/albanpeignier/rivendell-debian/raw/master/hpklinux/debian/patches/01_device_create_destroy_2_6_26.dpatch
wget --no-check-certificate https://github.com/albanpeignier/rivendell-debian/raw/master/hpklinux/debian/patches/02_video_device_2_6_26_27.dpatch
wget --no-check-certificate https://github.com/albanpeignier/rivendell-debian/raw/master/hpklinux/debian/patches/03_explicit_uname_drv_makefile.dpatch
wget --no-check-certificate https://github.com/albanpeignier/rivendell-debian/raw/master/hpklinux/debian/patches/04_dspinfo_py_permissions.dpatch

Apply the patches with:

patch --verbose -p1 < 01_device_create_destroy_2_6_26.dpatch
patch --verbose -p1 < 02_video_device_2_6_26_27.dpatch
patch --verbose -p1 < 03_explicit_uname_drv_makefile.dpatch
patch --verbose -p1 < 04_dspinfo_py_permissions.dpatch

Then follow the normal compile instructions.

./configure
make

Then as root to install:

make install


NOTE: If other audio science drivers have been installed (Maybe from a live CD you will need to uninstall them first then install the newly complied ones. The driver is called:

asihpi

You can check to see if the asihpi driver is install and being use by running:

lsmod

or

lspci -v

You can check which version of the module is install with:

modinfo asihpi

You can check if the audio science drivers have been installed with the utility that comes with Rivendell called RDhpiInfo. It does not have a menu item and can be started in a terminal with:

rdhpiinfo

To uninstall the module on OpenSuse use the Yast control panel. Yast can also be used to install the newly compiled module and to start the service as well.

Once you have the module installed and started the service. Restart the Rivendell daemons. Ubuntu users can do this with:

/etc/init.d/rivendell stop
/etc/init.d/rivendell start

Go into RDAdmin>Audio Resources and see which card number has been assigned to your Audio Science card. After that it is a matter of assigning the cards inputs and outputs to the various Rivendell applications. RDAdmin>Manage Hosts> select host >Edit>RDAirplay or RDLibrary or RDCatch etc.

Personal tools